with GNATCOM.Dispinterface;

package MSHTML.IHTMLDataTransfer_Object is

   type IHTMLDataTransfer_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   function setData
     (This   : IHTMLDataTransfer_Type;
      format : GNATCOM.Types.VARIANT;
      data   : GNATCOM.Types.VARIANT;
      Free   : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function getData
     (This   : IHTMLDataTransfer_Type;
      format : GNATCOM.Types.VARIANT;
      Free   : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function clearData
     (This   : IHTMLDataTransfer_Type;
      format : GNATCOM.Types.VARIANT;
      Free   : Boolean := True)
     return GNATCOM.Types.VARIANT;

   procedure Put_dropEffect
     (This : IHTMLDataTransfer_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_dropEffect
     (This : IHTMLDataTransfer_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_effectAllowed
     (This : IHTMLDataTransfer_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_effectAllowed
     (This : IHTMLDataTransfer_Type)
     return GNATCOM.Types.VARIANT;

end MSHTML.IHTMLDataTransfer_Object;

